Subject: when does git start caring about symlinks?

From: "Neal Kreitzinger" <[email-masked]>
Date: Tue, 23 Nov 2010 17:50:31 -0600

I have a question on how symlinks work and at what point git starts caring 
about them.  If dirA/repoA/.git has no symlinks and I copy it to 
dirB/repoB/.git (ie. cp -rp /dirA/repoA/.git /dirB/repoB/.git), but /dirB is 
a symlink to /x/dirB does that mean that repoB contains symlinks (I suspect 
that repoB may be made up of all symlinks at this point)?  In other words, 
if I parallel test repoA and repoB am I running a true parallel test or are 
the repos different because repoA has no symlinks and repoB has symlinks?

v/r,
Neal